Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.font
Class ColorFont

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.graphics.font.ColorFont

public class ColorFont
extends com.beanexplorer.beans.Option

Field Summary
`protected java.awt.Font` | `font`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`ColorFont()`
`ColorFont(java.awt.Font font, java.awt.Color c)`
`ColorFont(java.lang.String name, int style, int size)`
`ColorFont(java.lang.String name, int style, int size, java.awt.Color c)`

Method Summary
`java.awt.Color` | `getColor()`
`java.awt.Font` | `getFont()`
`void` | `setColor(java.awt.Color color)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### font

    protected java.awt.Font font

Constructor Detail

### ColorFont

    public ColorFont(java.lang.String name,
                     int style,
                     int size,
                     java.awt.Color c)

### ColorFont

    public ColorFont(java.lang.String name,
                     int style,
                     int size)

### ColorFont

    public ColorFont(java.awt.Font font,
                     java.awt.Color c)

### ColorFont

    public ColorFont()

Method Detail

### setColor

    public void setColor(java.awt.Color color)

### getColor

    public java.awt.Color getColor()

### getFont

    public java.awt.Font getFont()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.